Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class FirefoxLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.FirefoxLauncher

All Implemented Interfaces:
  BrowserLauncher

    public class FirefoxLauncher

extends java.lang.Object
implements BrowserLauncher

Constructor Summary
`FirefoxLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary
`void` | `close()` Stop (kill) the browser process
`java.lang.Process` | `getProcess()` Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String baseUrl)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String url)` Start the browser and navigate directly to the specified URL using the supplied browser configurations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FirefoxLauncher

    public FirefoxLauncher(BrowserConfigurationOptions browserOptions,
                           RemoteControlConfiguration configuration,
                           java.lang.String sessionId,
                           java.lang.String browserLaunchLocation)
                    throws InvalidBrowserExecutableException

Throws:
  `InvalidBrowserExecutableException`

Method Detail

### close

    public void close()

  Description copied from interface: `BrowserLauncher`
  Stop (kill) the browser process

  Specified by:
    `close` in interface `BrowserLauncher`

### getProcess

    public java.lang.Process getProcess()

  Description copied from interface: `BrowserLauncher`
  Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).

  Specified by:
    `getProcess` in interface `BrowserLauncher`
  Returns:
    a handle to a process if one is available, or null if one is not available or if no browser is running

### launchHTMLSuite

    public void launchHTMLSuite(java.lang.String suiteUrl,
                                java.lang.String baseUrl)

  Description copied from interface: `BrowserLauncher`
  Start the browser in Selenese mode, auto-running the specified HTML suite

  Specified by:
    `launchHTMLSuite` in interface `BrowserLauncher`
  Parameters:
    `suiteUrl` - the url of the HTML suite to launch
    `baseUrl` - the url within which to initiate the session (if needed)

### launchRemoteSession

    public void launchRemoteSession(java.lang.String url)

  Description copied from interface: `BrowserLauncher`
  Start the browser and navigate directly to the specified URL using the supplied browser configurations

  Specified by:
    `launchRemoteSession` in interface `BrowserLauncher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.